import 'package:flutter/material.dart';
import 'package:ken/smeup/models/widgets/smeup_data_interface.dart';
import 'package:ken/smeup/models/widgets/smeup_model.dart';
import 'package:ken/smeup/services/smeup_data_service.dart';
import 'package:ken/smeup/services/smeup_utilities.dart';

class SmeupWaitModel extends SmeupModel implements SmeupDataInterface {
  Color splashColor;
  Color loaderColor;
  Color circularTrackColor;

  SmeupWaitModel(
      {id,
      type,
      GlobalKey<FormState> formKey,
      GlobalKey<ScaffoldState> scaffoldKey,
      BuildContext context,
      this.splashColor,
      title = ''})
      : super(formKey, scaffoldKey, context, title: title, id: id, type: type) {
    if (optionsDefault['type'] == null) optionsDefault['type'] = 'wai';
    SmeupDataService.incrementDataFetch(id);
  }

  SmeupWaitModel.fromMap(
    Map<String, dynamic> jsonMap,
    GlobalKey<FormState> formKey,
    GlobalKey<ScaffoldState> scaffoldKey,
    BuildContext context,
  ) : super.fromMap(
          jsonMap,
          formKey,
          scaffoldKey,
          context,
        ) {
    title = jsonMap['title'] ?? '';

    splashColor = SmeupUtilities.getColorFromRGB(optionsDefault['splashColor']);
    loaderColor = SmeupUtilities.getColorFromRGB(optionsDefault['loaderColor']);
    circularTrackColor =
        SmeupUtilities.getColorFromRGB(optionsDefault['circularTrackColor']);

    SmeupDataService.incrementDataFetch(id);
  }
}
